Docs | Support

Revolution1/etcd3-py

requirements.txt


Package Current version Latest version Status Python 3
six >=1.11.0 1.16.0 unpinned Python 3  
requests >=2.10.0 2.28.1 unpinned Python 3  
semantic-version >=2.6.0 2.10.0 unpinned Python 3  
pyOpenSSL >=0.14 22.1.0 unpinned Python 3  
cryptography >=1.3.4 38.0.4 unpinned Python 3  
idna >=2.0.0 3.4 unpinned Python 3  

requirements_dev.txt


pip >=8.1.2 22.3.1 unpinned Python 3  
Jinja2 >=2.10 3.1.2 unpinned Python 3  
wheel >=0.29.0 0.38.4 unpinned Python 3  
watchdog >=0.8.3 2.2.0 unpinned Python 3  
flake8 >=2.6.0 6.0.0 unpinned Python 3  
tox >=2.3.1 3.27.1 unpinned Python 3  
coverage >=4.1 6.5.0 unpinned Python 3  
mock ==4.0.2 4.0.3 outdated Python 3 PR
PyYAML >=3.11 6.0 unpinned Python 3  
pytest >=4.3.1 7.2.0 unpinned Python 3  
pytest-cov ==2.8.1 4.0.0 outdated Python 3 PR
pytest-runner >=2.11.1 6.0.0 unpinned Python 3  
inflection >=0.3.1 0.5.1 unpinned Python 3  
isort >=4.3.9 5.10.1 unpinned Python 3  
yapf >=0.20.0 0.32.0 unpinned Python 3  
m2r ==0.2.1 0.3.1 outdated Python 3 PR
codecov >=1.4.0 2.1.12 unpinned Python 3  
codacy-coverage ==1.3.11 1.3.11 up-to-date Python 3  
twine >=1.13.0 4.0.2 unpinned Python 3  
readme_renderer[md] ==25.0 37.3 outdated Python 3 PR

requirements_dev_py3.txt


pytest-asyncio ==0.10.0 0.20.2 outdated Python 3 PR

requirements_py3.txt


aiohttp >=3.0.0 3.8.3 unpinned Python 3  

requirements_doc.txt


Sphinx >=1.4.8 5.3.0 unpinned Python 3